✨ New Gift Cards API Live Now - Beta!
curl --request GET \
--url https://api.gameboost.com/v2/order-disputes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"orderable_type": "account_order",
"orderable_id": 123,
"buyer_id": 123,
"status": "waiting_for_seller",
"progress_path": "waiting_for_seller",
"reason": "account_not_as_described",
"explanation": "<string>",
"preferred_resolution": "other",
"preferred_resolution_note": "<string>",
"escalation_reason": "seller_requested",
"closure_reason": "seller_accepted",
"outcome": "refund",
"seller_response_due_at": 123,
"buyer_response_due_at": 123,
"active_due_at": 123,
"is_active_deadline_expired": true,
"seller_response_hours": 123,
"buyer_response_hours": 123,
"locked_at": 123,
"closed_at": 123,
"created_at": 123,
"updated_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Retrieve a paginated list of order disputes for orders where the authenticated user is the seller or buyer.
curl --request GET \
--url https://api.gameboost.com/v2/order-disputes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"orderable_type": "account_order",
"orderable_id": 123,
"buyer_id": 123,
"status": "waiting_for_seller",
"progress_path": "waiting_for_seller",
"reason": "account_not_as_described",
"explanation": "<string>",
"preferred_resolution": "other",
"preferred_resolution_note": "<string>",
"escalation_reason": "seller_requested",
"closure_reason": "seller_accepted",
"outcome": "refund",
"seller_response_due_at": 123,
"buyer_response_due_at": 123,
"active_due_at": 123,
"is_active_deadline_expired": true,
"seller_response_hours": 123,
"buyer_response_hours": 123,
"locked_at": 123,
"closed_at": 123,
"created_at": 123,
"updated_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter by dispute ID.
"3,6,9"
Filter by dispute status.
waiting_for_seller, waiting_for_buyer, pending_admin_resolution, escalated, closed "waiting_for_seller"
Filter by orderable type.
account_order, item_order, currency_order "account_order"
Filter by orderable ID.
110237
Filter by open (true) or closed (false) disputes.
Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2025-10-05"
Filter by closed at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Sort by field. Prefix with - for descending order.
id, -id, created_at, -created_at, updated_at, -updated_at, closed_at, -closed_at "-updated_at"
Items per page (max 50)
1 <= x <= 50Was this page helpful?